tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Brian Hammar <bham...@cuseeme.com>
Subject error in loading shared libraries, GLIBC_2.1 not defined
Date Tue, 28 Nov 2000 14:47:43 GMT
I'm attempting to start Tomcat 3.1 on a machine running Redhat 6.0.  When I
do, I get the following error message:

/usr/local/jdk1.3/bin/i386/native_threads/java: error in loading shared
libraries: /usr/local/jdk1.3/jre/lib/i386/native_threads/libhpi.so: symbol
sem_init, version GLIBC_2.1 not defined in file libpthread.so.0 with link
time reference       

I'm using Tomcat 3.1 release build.  I've installed the Jdk 1.3, and placed
its root folder in my path.  I've set the TOMCAT_HOME environment variable
to "/usr/local/jakarta-tomcat", which is where it's located.  I've set
JAVA_HOME to my jdk root folder.  

Has anyone seen this error before?  Are there system requirements that are
not outlined in the documentation such as a minimum GLIBC version and the
like?  

Thanks for any help.

Brian R. Hammar

Mime
View raw message